Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# SubmissionFlair

class praw.models.reddit.submission.SubmissionFlair(submission: praw.models.Submission)

  Provide a set of functions pertaining to `Submission` flair.

  __init__(submission: praw.models.Submission)

    Initialize a `SubmissionFlair` instance.

    Parameters:

      submission – The `Submission` associated with the flair functions.

  choices() → List[Dict[str, Union[bool, list, str]]]

    Return list of available flair choices.

    Choices are required in order to use `select()`.

    For example:

        choices = submission.flair.choices()

  select(flair_template_id: str, *, text: Optional[str] = None)

    Select flair for submission.

    Parameters:

      - flair_template_id – The flair template to select. The possible values can be discovered through `choices()`.

      - text – If the template’s `flair_text_editable` value is `True`, this value will set a custom text (default: `None`).

    For example, to select an arbitrary editable flair text (assuming there is one) and set a custom value try:

        choices = submission.flair.choices()
        template_id = next(x for x in choices if x["flair_text_editable"])["flair_template_id"]
        submission.flair.select(template_id, text="my custom value")